package com.jachdev.consumerprotection.ui;

import android.content.Intent;
import android.os.Bundle;

import com.jachdev.commonlibs.base.BaseActivity;
import com.jachdev.consumerprotection.R;
import com.jachdev.consumerprotection.ui.bot.BotActivity;
import com.jachdev.consumerprotection.ui.classifier.ClassifierActivity;
import com.jachdev.consumerprotection.ui.classifier.DietPlanActivity;
import com.jachdev.consumerprotection.ui.webview.WebViewActivity;

import butterknife.OnClick;

public class MealPlanActivity extends BaseActivity {

    @Override
    protected int layoutRes() {
        return R.layout.activity_meal_plan_activity;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setTitle(R.string.suggest_a_meal_plan);
    }

    @OnClick(R.id.btn_calc_cal)
    void onCalcCalClick(){
        startActivity(new Intent(MealPlanActivity.this, ClassifierActivity.class));
    }

    @OnClick(R.id.btn_diet_plan)
    void onDietPlanClick(){
        startActivity(new Intent(MealPlanActivity.this, DietPlanActivity.class));
    }

    @OnClick(R.id.btn_own_diet)
    void onOwnDietClick(){
        startActivity(new Intent(MealPlanActivity.this, WebViewActivity.class));
    }
}